
# PIP-347: add role field in consumer's stat

# Background knowledge

During the operation and maintenance process, there are many users asking administrator for help to find out the consumers of a topic and notify them about the business change.
Administrators can call `bin/pulsar-admin topics partitioned-stats` to find out the `ip:port` of the consumers, but no role info. So administrators need to take a lot of time to
communicate with users to find out the owner based on the `ip:port`. It's a troublesome work and low efficiency, or even can't find out the owner.

# Motivation

This pip can help to solve such kind of problem. By adding a field `appId` in the consumer's stat.
For cluster with JWT-based authentication, the administrator can find out the owner of the consumer directly. 
It can save a lot of time and improve the efficiency of the operation and maintenance process.

# Goals

- help administrator to find out the owner of the consumer for cluster with JWT-based authentication.

# Detailed Design

## Design & Implementation Details
- Add a field `appId` in the consumer's stat, which can show the owner of this consumer for JWT-based authentication users.

# Backward & Forward Compatibility

Fully compatible.

# General Notes

# Links

<!--
Updated afterwards
-->
* Mailing List discussion thread: https://lists.apache.org/thread/p9y9r8pb7ygk8f0jd121c1121phvzd09
* Mailing List voting thread: https://lists.apache.org/thread/sfv0vq498dnjx6k6zdrnn0cw8f22tz05
